sc::TwoBodyDerivIntCints(3)

NAME
sc::TwoBodyDerivIntCints - This implements electron repulsion derivative integrals in the IntV3 library.

SYNOPSIS

#include <tbintcints.h>

Inherits sc::TwoBodyDerivInt.

  Public Member Functions
TwoBodyDerivIntCints (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage, tbinteval int2etype)
int log2_shell_bound (int, int, int, int)
Return log base 2 of the maximum magnitude of any integral in a shell block.
void compute_shell (int, int, int, int, DerivCenters &)
Given for shell indices, this will cause the integral buffer to be filled in.
size_t used_storage () const

  Protected Attributes
Ref< Int2eCints > int2ecints_

Detailed Description

This implements electron repulsion derivative integrals in the IntV3 library.

Member Function Documentation

  int sc::TwoBodyDerivIntCints::log2_shell_bound (int, int, int, int) [virtual]

Return log base 2 of the maximum magnitude of any integral in a shell block.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyDerivInt.

  void sc::TwoBodyDerivIntCints::compute_shell (int, int, int, int, DerivCenters &) [virtual]

Given for shell indices, this will cause the integral buffer to be filled in.

Implements sc::TwoBodyDerivInt.

Author

Generated automatically by Doxygen for MPQC from the source code.